"""
Convert Continental Slope Survey data from lat/long to easting/northing
and ensure elevation data is negative!

Jane Sexton Dec 2006
"""

def alter_file(filename,filenameout):

    from anuga.coordinate_transforms.redfearn import redfearn
    
    fid = open(filename)
    lines = fid.readlines()
    fid.close()
    
    fid_out = open(filenameout, 'w')
    for line in lines[1:]:
       fields = line.split(',')
       x = float(fields[0])
       y = float(fields[1])
       zone, easting, northing = redfearn(x,y)
       z = -float(fields[2])
       s = '%f,%f,%f\n' %(easting,northing,z)
       fid_out.write(s)

    fid_out.close() 

    return

import project_slide

filename1 = project_slide.datadir + 'yxz_Area_A_LL_100mInterp.xya'
filename2 = project_slide.datadir + 'yxz_Area_B_LL_100mInterp.xya'
filename3 = project_slide.datadir + 'yxz_Area_C_LL_100mInterp.xya'

filenameout1 = project_slide.datadir + 'surveyAreaA.xya'
filenameout2 = project_slide.datadir + 'surveyAreaB.xya'
filenameout3 = project_slide.datadir + 'surveyAreaC.xya'

files = [filename1, filename2, filename3]
fileouts = [filenameout1, filenameout2, filenameout3]

for i, eachfile in enumerate(files):
    print 'File ', i, eachfile
    alter_file(eachfile,fileouts[i])
